This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468206 - slapd and slapcat : man pages details
slapd and slapcat : man pages details
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Jan Zeleny
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 11:24 EDT by Petr Sklenar
Modified: 2010-03-30 04:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:05:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2008-10-23 11:24:06 EDT
Description of problem:
slapd
`man slapd` doesn't describe options "-V" and "-o",  which are described in usage message (slapd --help)

slapcat
Usage message OMITS 1 supported option(s):  -s


Version-Release number of selected component (if applicable):
openldap-2.3.43-2.el5

How reproducible:


Steps to Reproduce:
1.man slapd vs slapd --help, options  "-V" and "-o"
2.man slapcat vs slapcat --help, option "-s"
  
Actual results:
missing option

Expected results:
same option in usage message and man page

Additional info:
Comment 3 Jan Zeleny 2009-11-16 04:50:03 EST
Patch is in CVS, changing status to MODIFIED.
Comment 5 Ondrej Moriš 2009-11-23 09:58:11 EST
There are still some minor issues concerning man pages vs. slapd --help

* -V, in man page has bad formatting (missing "empty line" between -o and -V)
* -T, in man page we have {a|c|d|i|p|t|acl|auth} instead of 
  {acl|add|auth|cat|dn|index|passwd|test}, confusing (?)
* -n service_name in man page and -n serverName in --help 

There is actually no --help or -h option of slapd. Usage is printed to stderr when invalid options are given. 

Not sure if this does need respin... does it?
Comment 6 Jan Zeleny 2009-11-23 10:20:25 EST
I don't think it needs a respin. These are all cosmetic issues:
* empty line isn't really important, no information is missing because of it
* -T options are correct in both forms. And the longer form is used on top of that man page as well
* -n parameter serverName might be a little bit confusing, even though it is described as service name right after.

Now you have my opinion, but it's your call. I don't know exactly what is QA's policy about these minor issues.
Comment 7 Ondrej Moriš 2009-11-25 04:14:07 EST
Agreed. Probably the best way is to switch this bug into verified (it's fixed) report a new bug with all these cosmetic issues. Thanks!
Comment 9 errata-xmlrpc 2010-03-30 04:05:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0198.html

Note You need to log in before you can comment on or make changes to this bug.